<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Forgot Password</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="imagesconf/icon2.png" rel="shortcut icon">
    <style>
    /* Ensure no horizontal scrollbar */
    body,
    html {
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        height: 100%;
    }

    .auth-login-bg {
        display: flex;
        min-height: 100vh;
    }

    /* Left side (logo & text) styling */
    .logo-column {
        background-color: #0d6efd;
        color: white;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 2rem;
        width: 72%;
        flex-shrink: 0;
        flex-direction: column;
    }

    .logo-column div {
        text-align: center;
    }

    .logo-column img {
        max-width: 3200px;
        margin-bottom: 1rem;
    }

    .logo-column h2 {
        font-size: 3.5rem;
        font-weight: 700;
        line-height: 1.2;
    }

    .logo-column span {
        font-size: 1.9rem;
        font-weight: 600;
    }

    /* Right side (form) styling */
    .form-column {
        background-color: #fff;
        padding: 2rem;
        border-radius: 8px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        width: 35%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .form-column form {
        width: 100%;
    }

    /* Adjusted form control height by reducing padding */
    .form-control {
        font-size: 1.1rem;
        padding: 0.5rem;
        /* Reduced padding */
    }

    /* Adjusted button height */
    .btn {
        font-size: 1.1rem;
        padding: 0.7rem;
        /* Reduced padding for smaller button */
    }

    .form-column h3 {
        font-size: 2rem;
        margin-bottom: 1rem;
    }

    .form-column p {
        font-size: 1.2rem;
        margin-bottom: 2rem;
    }

    .form-label {
        font-size: 1.1rem;
    }

    .text-primary {
        font-size: 1.1rem;
    }

    .account-info {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 8px;
    }

    .account-info p {
        margin-bottom: 0;
    }

    /* Responsive adjustments */
    @media (max-width: 991px) {
        .auth-login-bg {
            flex-direction: column;
        }

        .logo-column,
        .form-column {
            width: 100%;
        }
    }

    /*=== MEDIA QUERY ===*/
    @import url("https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600,700|Roboto:300,400,500,700");

    html {
        font-size: 16px;
    }

    body {
        font-family: "Roboto", sans-serif;
        -webkit-font-smoothing: antialiased;
        scroll-behavior: smooth;
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-family: "Montserrat", sans-serif;
        color: #222222;
        font-weight: 600;
    }

    html {
        scroll-behavior: smooth;
    }
    </style>
</head>

<body>
    <div class="auth-login-bg">
        <!-- Branding Column -->
        <div class="logo-column">
            <div>
                <img src="imagesconf/11th.png" alt="Logo">
                <h2 style="color:white;">ANNUAL JUNIOR CHURCH <br> CO-ORDINATORS CONFERENCE <br>
                    <span style="color:white;">DIRECTORATE OF TEENS AND CHILDREN EDUCATION</span>
                </h2>
            </div>
        </div>
        <!-- Forgot Password Form Column -->
        <div class="form-column">
            <h3>Forgot Password</h3>
            <p>Please Enter your Email address</p>
            <form>
                <div class="mb-3">
                    <label for="email" class="form-label">Email Address</label>
                    <input class="form-control" id="email" type="email">
                </div>
                <div class="d-flex align-items-center justify-content-between mb-4">
                    <a class="text-primary fw-medium" href="admin_login.php">Sign in?</a>
                </div>
                <button type="submit" class="btn btn-primary w-100 py-8 mb-4 rounded-2">Proceed</button>
                <div class="d-flex align-items-center justify-content-center">
                    <p>Don't have an account?</p>
                    <a class="text-primary fw-medium ms-2" href="admin_register.php">Create an account</a>
                </div>
            </form>
        </div>
    </div>
    <!-- Bootstrap JS and dependencies -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"></script>
</body>

</html>