<?php
// Database connection
require 'conn.php'; // Adjust the path as necessary

// Prepare the default values
$defaultValues = [
    'main_heading' => '2024 ANNUAL RCCG JUNIOR CHURCH CO-ORDINATORS CONFERENCE',
    'edition_heading' => '11<sup>TH</sup> EDITION',
    'theme_heading' => 'Theme: Be Prepared (Matthew 25 : 1-13)',
    'date_heading' => 'Date: Thursday 3rd - Saturday 5th October 2024',
    'register_button_text' => 'Register Now',
    'register_button_url' => '#',
    'login_button_text' => 'Login',
    'login_button_url' => '#',
    'banner_image' => 'imagesconf/background/default-image.jpg' // Adjust the path to your default image
];

// Check if the table is empty before inserting
try {
    // Check if there are already entries in the table
    $queryCheck = "SELECT COUNT(*) FROM main_header";
    $stmtCheck = $conn->prepare($queryCheck);
    $stmtCheck->execute();
    $count = $stmtCheck->fetchColumn();

    // If there are no entries, insert the default values
    if ($count == 0) {
        $query = "INSERT INTO main_header (
            main_heading, edition_heading, theme_heading, date_heading,
            register_button_text, register_button_url, login_button_text, login_button_url,
            banner_image
        ) VALUES (
            :main_heading, :edition_heading, :theme_heading, :date_heading,
            :register_button_text, :register_button_url, :login_button_text, :login_button_url,
            :banner_image
        )";

        $stmt = $conn->prepare($query);
        $stmt->execute($defaultValues);

        echo "Default values inserted successfully.";
    } else {
        echo "The table already contains data.";
    }
} catch (PDOException $e) {
    echo "Error: " . $e->getMessage();
}
?>
