<?php
include 'conn.php';

if (isset($_GET['id'])) {
    $id = (int)$_GET['id'];
    
    $query = "SELECT id, title, summary, content, image_path, comments, comments_count FROM confnews WHERE id = :id";
    $stmt = $conn->prepare($query);
    $stmt->bindValue(':id', $id, PDO::PARAM_INT);
    $stmt->execute();
    
    $news = $stmt->fetch(PDO::FETCH_ASSOC);
    
    if ($news) {
        $news['comments'] = explode("\n", $news['comments']);  // Convert comments to an array
        echo json_encode($news);  // Return the news data as JSON
    } else {
        echo json_encode(['error' => 'News not found']);
    }
}
?>
