<?php
include('conn.php');

header('Content-Type: application/json'); // Ensure the content type is set to JSON

if (isset($_GET['region'])) {
    $region = $_GET['region'];

    try {
        // Prepare the SQL statement using PDO
        $stmt = $conn->prepare("SELECT province FROM province WHERE region = :region");
        $stmt->bindParam(':region', $region, PDO::PARAM_STR);
        $stmt->execute();

        // Fetch the provinces
        $provinces = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // Check if any provinces were found
        if ($provinces) {
            echo json_encode($provinces);
        } else {
            echo json_encode(array("message" => "No provinces found"));
        }
    } catch (PDOException $e) {
        echo json_encode(array("error" => $e->getMessage()));
    }
} else {
    echo json_encode(array("error" => "No region parameter provided"));
}
?>
