<?php
// Include your database connection
include 'conn.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the news ID from the AJAX request
    $newsId = isset($_POST['id']) ? (int)$_POST['id'] : 0;

    // Validate the news ID
    if ($newsId > 0) {
        // Update the views count for the news item
        $query = "UPDATE confnews SET views = views + 1 WHERE id = :id";
        $stmt = $conn->prepare($query);
        $stmt->bindParam(':id', $newsId, PDO::PARAM_INT);

        if ($stmt->execute()) {
            // Success response
            echo json_encode(['status' => 'success', 'message' => 'Views updated']);
        } else {
            // Failure response
            echo json_encode(['status' => 'error', 'message' => 'Failed to update views']);
        }
    } else {
        // Invalid news ID response
        echo json_encode(['status' => 'error', 'message' => 'Invalid news ID']);
    }
} else {
    // Invalid request method response
    echo json_encode(['status' => 'error', 'message' => 'Invalid request']);
}
?>
