<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Participant Login</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <link href="imagesconf/icon2.png" rel="shortcut icon">
    <style>
        body {
            background: linear-gradient(135deg, #007bff, #0056b3, #003d7a);
            background-size: 300% 300%;
            animation: gradient 10s ease infinite;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            padding-bottom: 100px; /* Add padding for the footer */
            position: relative;
            overflow: hidden;
        }
        .card {
            width: 100%;
            max-width: 400px;
            border-radius: 15px;
            overflow: hidden;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            position: relative;
            z-index: 1;
        }
        .card-header {
            background: #0056b3;
            color: white;
            text-align: center;
            padding: 1rem;
        }
        .card-body {
            padding: 2rem;
        }
        .logo {
            width: 100px;
            display: block;
            margin: 0 auto 1rem;
        }
        @keyframes gradient {
            0% { background-position: 0% 0%; }
            50% { background-position: 100% 100%; }
            100% { background-position: 0% 0%; }
        }
        .footer {
            position: absolute;
            bottom: 0;
            width: 100%;
            background: #0056b3;
            color: white;
            text-align: center;
            padding: 1rem 0;
            box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.2);
        }
        .footer a {
            color: #f8f9fa;
            text-decoration: none;
        }
        .footer a:hover {
            text-decoration: underline;
        }
        .watermark {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            white-space: nowrap;
            font-size: 5rem;
            color: rgba(255, 255, 255, 0.1);
            z-index: 0;
            pointer-events: none;
            user-select: none;
            font-weight: bold;
            text-align: center;
            text-transform: uppercase;
            letter-spacing: 5px;
        }
        .home-icon {
            position: absolute;
            top: 20px;
            right: 20px;
            z-index: 1000;
            color: #fff;
            font-size: 24px;
            background-color: rgba(0, 0, 0, 0.5);
            border-radius: 50%;
            padding: 10px;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            text-decoration: none;
        }
        .home-icon:hover {
            background-color: rgba(0, 0, 0, 0.7);
        }
    </style>
</head>
<body>
    <a href="index.php" style="text-decoration:none;" class="home-icon" title="Go back to Main website">
        <i class="fa fa-home"></i>
    </a>
    <div class="watermark"><?php echo Date('Y')?> CO-ORDINATORS CONFERENCE PORTAL</div>
    <div class="card">
        <div class="card-header">
            <img src="imagesconf/11th.png" alt="Logo" class="logo">
            <h4>Participant Login</h4>
        </div>
        <div class="card-body">
            <?php
            // Display alert message if set
            session_start();
            if (isset($_SESSION['alert_message']) && !empty($_SESSION['alert_message'])) {
                echo '<div class="alert alert-danger" role="alert">' . htmlspecialchars($_SESSION['alert_message']) . '</div>';
                // Clear the message after displaying
                unset($_SESSION['alert_message']);
            }
            ?>
            <form action="login_process.php" method="post">
                <div class="form-group">
                    <label for="phone_number">Phone Number</label>
                    <input type="text" class="form-control" id="phone_number" name="phone_number" required>
                </div>
                <div class="form-group">
                    <label for="registration_number">Registration Number</label>
                    <input type="text" class="form-control" id="registration_number" name="registration_number" required>
                </div>
                <button type="submit" class="btn btn-primary btn-block">Login</button>
            </form>
        </div>
    </div>
    <footer class="footer">
        <p id="footer-text">&copy; </p>
        <p><a href="privacy_policy.php" style="text-decoration:none;">Privacy Policy</a> | <a href="terms_of_service.php" style="text-decoration:none;">Terms of Service</a></p>
    </footer>

    <script>
        // JavaScript to dynamically set the year in the footer
        document.addEventListener('DOMContentLoaded', function() {
            const footerText = document.getElementById('footer-text');
            const currentYear = new Date().getFullYear();
            footerText.innerHTML = `&copy; ${currentYear} RCCG DTCE | CO-ORDINATORS PORTAL. All rights reserved.`;
        });
    </script>
</body>
</html>
