<?php
session_start();
require 'conn.php'; // Adjust the path as necessary

// Initialize an alert message variable
$_SESSION['alert_message'] = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $phoneNumber = $_POST['phone_number'];
    $registrationNumber = $_POST['registration_number'];

    // Prepare query to check participant status
    $query = "SELECT * FROM coordconf WHERE phone_number = :phone_number AND registration_number = :registration_number";
    $stmt = $conn->prepare($query);
    $stmt->execute([
        ':phone_number' => $phoneNumber,
        ':registration_number' => $registrationNumber
    ]);
    $participant = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($participant && $participant['status'] === 'approved') {
        // Set session variables
        $_SESSION['participant_id'] = $participant['id'];
        $_SESSION['fullname'] = $participant['fullname'];

        // Redirect to download page
        header('Location: download_certificate.php');
        exit;
    } else {
        // Invalid login or status not approved
        $_SESSION['alert_message'] = 'Invalid login credentials or status not approved.';
        header('Location: login.php');
        exit;
    }
}
?>
