<?php
session_start();
require 'conn.php'; // Adjust the path as necessary
// Check if user is logged in
if (!isset($_SESSION['participant_id'])) {
    header('Location: login.php');
    exit;
}

// Fetch all materials from the database
$query = "SELECT * FROM materials";
$stmt = $conn->prepare($query);
$stmt->execute();
$materials = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Download Materials</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link href="imagesconf/icon2.png" rel="shortcut icon">
    <style>
        body {
            background: linear-gradient(135deg, #007bff, #0056b3, #003d7a);
            background-size: 300% 300%;
            animation: gradient 10s ease infinite;
            color: #fff;
            margin: 0;
            padding: 0;
        }
        .navbar {
            background: #0056b3;
        }
        .navbar-brand img {
            width: 100px;
        }
        .card {
            background: rgba(255, 255, 255, 0.1);
            border-radius: 15px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            padding: 2rem;
            margin-bottom: 1.5rem;
        }
        .card img {
            max-width: 100%;
            border-radius: 10px;
        }
        .footer {
            background: #0056b3;
            color: #fff;
            text-align: center;
            padding: 1rem;
            position: fixed;
            width: 100%;
            bottom: 0;
        }
        .no-materials-card {
            background: rgba(255, 255, 255, 0.2);
            border-radius: 15px;
            padding: 2rem;
            text-align: center;
            color: #fff;
        }
        .no-materials-card h5 {
            font-size: 1.5rem;
        }
        .no-materials-card p {
            font-size: 1.2rem;
        }
        @keyframes gradient {
            0% { background-position: 0% 0%; }
            50% { background-position: 100% 100%; }
            100% { background-position: 0% 0%; }
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark">
        <a class="navbar-brand" href="#">
            <img src="imagesconf/11th.png" alt="Logo">
        </a>
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link btn btn-secondary" href="download_certificate.php">Back to Dashboard</a>
            </li>
        </ul>
    </nav>

    <div class="container mt-5">
        <h2 class="text-center mb-4">Available Conference Materials</h2>

        <div class="row">
            <?php if ($materials): ?>
                <?php foreach ($materials as $material): ?>
                    <div class="col-md-6 col-lg-4">
                        <div class="card text-center">
                            <img src="materials/<?= htmlspecialchars($material['image_path']) ?>" alt="<?= htmlspecialchars($material['material_name']) ?>">
                            <div class="card-body">
                                <h5 class="card-title"><?= htmlspecialchars($material['material_name']) ?></h5>
                                <a href="materials/<?= htmlspecialchars($material['download_link']) ?>" class="btn btn-primary" download>Download</a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            <?php else: ?>
                <div class="col-12">
                    <div class="card no-materials-card mx-auto mt-5" style="max-width: 600px;">
                        <div class="card-body">
                            <h5>No Materials Available</h5>
                            <p>Please check back later for more materials.</p>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>

    <div class="footer">
        <p>&copy; <?= date('Y') ?> RCCG DTCE | CO-ORDINATORS CONFERENCE. All rights reserved.</p>
    </div>
</body>
</html>
